Another day another broken PDM tool

Discuss SolidWorks PDM
User avatar
mp3-250
Posts: 540
Joined: Tue Sep 28, 2021 4:09 am
Answers: 18
Location: Japan
x 601
x 282

Another day another broken PDM tool

Unread post by mp3-250 »

A dept. requested a SW to ACIS(.sat) convertion and asked me if it would be possible to convert data In batch from the vault.

So I setup a convert task, but I noticed that the ACIS options allow the file convertion up to acis v18 while from SW saveas dialog it allows up to v27... =)

so I tested the PDM convert set to v18, opened the .sat file in notepad and the header sais... v27!
wait... it was set to v18 so what about I set it to v10? again the output from the pdm task was v27! =)
what about v8, v16... always v27! =)

I sent the feedback to my var, mainly for the LULZ at this point.
o[

PS
I tried also to insert the version value in the script bypassing the variable from the task convertion option drop down menu... v27!
by mp3-250 » Fri Apr 07, 2023 1:39 am
Solution
[SPR#1196395]
Convert for ACIS does not work, due to incorrect swOutputVersion variable in the script
wrong
swApp.SetUserPreferenceIntegerValue swOutputVersion, [AcisVersion]

correct
swApp.SetUserPreferenceIntegerValue swAcisOutputVersion, [AcisVersion]


Also there are 2 check boxes missing in the task settings (which incidentally I needed to disable!)

I forced them off in the script with:

Code: Select all

swApp.SetUserPreferenceToggle swSATExportSplitPeriodic,false
swApp.SetUserPreferenceToggle swSATExportFaceEdgeProps,false
Go to full post
User avatar
mp3-250
Posts: 540
Joined: Tue Sep 28, 2021 4:09 am
Answers: 18
Location: Japan
x 601
x 282

Re: Another day another broken PDM tool (ACIS conver task)

Unread post by mp3-250 »

Solution
[SPR#1196395]
Convert for ACIS does not work, due to incorrect swOutputVersion variable in the script
wrong
swApp.SetUserPreferenceIntegerValue swOutputVersion, [AcisVersion]

correct
swApp.SetUserPreferenceIntegerValue swAcisOutputVersion, [AcisVersion]


Also there are 2 check boxes missing in the task settings (which incidentally I needed to disable!)

I forced them off in the script with:

Code: Select all

swApp.SetUserPreferenceToggle swSATExportSplitPeriodic,false
swApp.SetUserPreferenceToggle swSATExportFaceEdgeProps,false
Post Reply